// [License]
// The Ariba-Underlay Copyright
//
// Copyright (c) 2008-2009, Institute of Telematics, Universität Karlsruhe (TH)
//
// Institute of Telematics
// Universität Karlsruhe (TH)
// Zirkel 2, 76128 Karlsruhe
// Germany
//
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions are
// met:
//
// 1. Redistributions of source code must retain the above copyright
// notice, this list of conditions and the following disclaimer.
// 2. Redistributions in binary form must reproduce the above copyright
// notice, this list of conditions and the following disclaimer in the
// documentation and/or other materials provided with the distribution.
//
// THIS SOFTWARE IS PROVIDED BY THE INSTITUTE OF TELEMATICS ``AS IS'' AND
// ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
// IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
// PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE INSTITUTE OF TELEMATICS OR
// CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
// EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
// PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
// LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
// NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
// SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
//
// The views and conclusions contained in the software and documentation
// are those of the authors and should not be interpreted as representing
// official policies, either expressed or implied, of the Institute of
// Telematics.
// [License]

#include "CommunicationListener.h"

namespace ariba {

CommunicationListener CommunicationListener::DEFAULT;

CommunicationListener::CommunicationListener() {
}

CommunicationListener::~CommunicationListener() {
}

void CommunicationListener::onLinkUp(const LinkID& l, const NodeID& r) {
}

void CommunicationListener::onLinkDown(const LinkID& l, const NodeID& r) {
}

void CommunicationListener::onLinkChanged(const LinkID& l, const NodeID& r) {
}

void CommunicationListener::onLinkFail(const LinkID& l, const NodeID& r) {
}

bool CommunicationListener::onLinkRequest(const NodeID& remote,
	const DataMessage& msg) {
	return true;
}

void CommunicationListener::onMessage(const DataMessage& msg,
	const NodeID& remote, const LinkID& lnk) {
}

bool CommunicationListener::onEnableSideportListener() {
	return true;
}

void CommunicationListener::onKeyValue( const Data& key, const vector<Data>& value ) {

}


// --- extended message functionality ---
//void CommunicationListener::onLinkQoSChanged(const LinkID& l, const NodeID& r,
//		const LinkProperties& p) {
//}

// --- extended message functionality ---
// void CommunicationListener::onMessageSent(seqnum_t seq_num, bool failed,
// 		const DataMessage& msg) {
// }

} // namespace ariba
